PROCEDURE k_dim
LPARAMETERS forma_nr_,kuris,reiksme,kodas1_,kodas2_

IF TYPE([forma_nr_])#'C' OR TYPE([reiksme])#'C' OR TYPE([kodas1_])#'C'
	=l_window("Blogi procedros k_dim parametrai. Pvz.: k_dim('INI11',1,'Nauja reikm','010000000001')")
	RETURN .F.
ENDIF

IF TYPE([kodas2_])#'C'
	kodas2_=SPACE(12)
ENDIF

IF TYPE([kuris])#'N' OR !BETWEEN(kuris,1,15)
	kuris=1
ENDIF

forma_nr_=UPPER(forma_nr_)
reiksme=UPPER(reiksme)
kodas2_=PADL(kodas2_,6,' ')
kuris1="titi_pagr.dim_"+PADL(kuris,2,'0')+"_sar"
kuris2="i49_dim"+PADL(kuris,2,'0')
v_lent1="'"+SUBSTR(forma_nr_,3,3)+"'"
v_lent2=SUBSTR(forma_nr_,3,3)+"."+SUBSTR(forma_nr_,3,3)+"_perkelta"

IF TYPE([&kuris1])#'C'&& ar dimencija naudojama
	=l_window("Nurodyta dimencija nenaudojama")
	RETURN .F.
ENDIF

IF kodas2_=""
	IF !f_seek(&v_lent1,kodas1_) OR &v_lent2 # 1 && ar egzistuoja operacija ir dar neperkelta
		=l_window("Neegzistuojanti arba perkelta operacija")
		RETURN .f.
	ENDIF
ELSE
	IF !f_seek(&v_lent1,kodas1_,kodas2_) OR &v_lent2 # 1
		=l_window("Neegzistuojanti arba perkelta operacija")
		RETURN .f.
	ENDIF
ENDIF

IF USED("Wi49k")
	USE IN Wi49k
ENDIF

PRIVATE w_kodas1,w_kodas2,w_kodas_n1,w_kodas_n2
w_kodas1=forma_nr_
w_kodas2=forma_nr_
w_kodas_n1=kodas1_
w_kodas_n2=kodas2_

IF !f_use("Wi49k")
	RETURN .F.
ENDIF

IF RECCOUNT("Wi49k")>1 && ar daugiau nei 1 eilut
	=l_window("Neteisingi procedros k_dim parametrai")
	RETURN .F.
ENDIF

sk_tran=0
con_da=beg_tran("Wi49k")

IF RECCOUNT("Wi49k")=0
	APPEND BLANK IN Wi49k
ENDIF


REPLACE i49_kodas1 WITH forma_nr_,;
	i49_kodas2 WITH kodas1_,;
	i49_kodas3 WITH kodas2_,;
	&kuris2 WITH reiksme,;
	i49_r_date WITH DATETIME( ),;
	i49_useris WITH titi_pagr.useris ;
	IN wi49k

IF !vyk_upd("Wi49k")
	=rol_tran(con_da)
	RETURN .F.
ENDIF

IF !end_tran(con_da)
	RETURN .F.
ENDIF

ENDPROC
